Group Users
GET/partner/user/:user_code/group
Retrieves a paginated list of users belonging to the same group as the specified user.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Group user list retrieved successfully
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"user_list": [
{
"user_code": "DEMO-USR-001",
"user_name": "gildong",
"user_email": "user@example.com",
"department": "dev",
"user_role_name": "Main Admin",
"user_inactive": "Y",
"last_login_active": "2026-03-07 09:00:00"
}
],
"total_count": 100,
"search_data": {
"page": 1,
"per_page": 10,
"user_code": "DEMO-USR-001"
}
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |